<template>
  <div>

    <icon-base
      v-for="n in rating"
      icon-name="full start"
      icon-color="orangered"
      :key="n">
      <icon-star-full />
    </icon-base>

    <icon-base
      v-for="x in maxRating"
      icon-name="empty star"
      icon-color="orangered"
      :key="x + 5">
      <icon-star-empty />
    </icon-base>

  </div>
</template>

<script>
import IconBase from './IconBase';
import IconStarFull from './IconStartFull';
import IconStarEmpty from './IconStarEmpty';

export default {
  components: {
    IconBase,
    IconStarFull,
    IconStarEmpty,
  },
  props: {
    rating: {
      type: Number,
      default: 4,
    },
  },
  computed: {
    maxRating() {
      return 5 - this.rating;
    },
  },
}
</script>